Bug 1918803 - Need dedicated details page w/ global config breadcrumbs for 'KnativeServing' plugin
Summary: Need dedicated details page w/ global config breadcrumbs for 'KnativeServing'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On: 1915972
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-21 15:15 UTC by David Taylor
Modified: 2021-02-24 15:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7944 0 None closed Bug 1918803: adds details page and handles breadcrumb for knativeServing 2021-02-08 10:44:55 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:38 UTC

Description David Taylor 2021-01-21 15:15:57 UTC
Description of problem:

Goto Admin->Cluster Settings->Global configuration click on 'KnativeServing', default details page doesn't have correct breadcrumb back to Global configuration page.


Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1. Install KnativeServing
2. Goto Admin->Cluster Settings->Global configuration
3. Click on KnativeServing


Actual results:
Breadcrumbs on default details page are: 'Knative Servings > Knative Serving details' where top breadcrumb 'Knative Servings' is a link to a Knative Servings list page w/ single 'kative-serving' instance.

Expected results:
Once this PR merges:
https://github.com/openshift/console/pull/7871

Clicking on any cluster conifg resources will drill down into that resources detail's page which should have the following breadcrumbs:  "Global Configuration > [resource] details" at the top of the details page; where 'Global Configuration' is a link back to Admin->Cluster Settings->Global configuration.

Additional info:
Breadcrumb code in new dedicated KnativeServing details page should be very similar to how ClusterVersionDetailsPage is coded:  
https://github.com/openshift/console/blob/6c6fef2fe742ee9b955e8596538b0b5028253801/frontend/public/components/cluster-settings/cluster-version.tsx#L38

Comment 1 David Taylor 2021-01-21 15:28:00 UTC
Thead which lead to this BZ:
https://github.com/openshift/console/pull/7871#discussion_r561194589

Comment 3 Debsmita Santra 2021-01-29 10:57:13 UTC
verified on 4.7.0-0.nightly-2021-01-29-002304

Comment 6 errata-xmlrpc 2021-02-24 15:55:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.